import axios from 'axios';
import {
  RejectListPageParams,
  RejectListPageRes,
  RejectStatisticsListParams,
  RejectStatisticsListRes,
} from './types/reject';

// 获取打回列表
export function getRejectList(
  params: RejectListPageParams
): Promise<RejectListPageRes> {
  return axios.post('/api/student/list', { params });
}
// 获取打回记录列表
export function getRejectRecordList(
  params: RejectListPageParams
): Promise<RejectListPageRes> {
  return axios.post('/api/student/list', { params });
}

// 获取打回统计列表
export function getRejectStatisticsList(
  params: RejectStatisticsListParams
): Promise<RejectStatisticsListRes> {
  return axios.post('/api/student/list', { params });
}
