import axios from 'axios';
import {
  IssuePaperListPageRes,
  IssuePaperListPageParam,
} from './types/issue-paper';

// 获取问题卷列表
export function getIssuePaperList(
  params: IssuePaperListPageParam
): Promise<IssuePaperListPageRes> {
  return axios.post('/api/score/list', { params });
}

// 重置问题卷
export function resetIssuePaper(ids: number[]): Promise<any> {
  return axios.post('/api/score/reset', { ids });
}
